# NFT Standard

Solflare supports displaying *metadata* associated with SPL tokens per the standards described by the [Metaplex Token Metadata](https://docs.metaplex.com/programs/token-metadata/) contract. Solflare will pull both the on-chain data and the external JSON provided by the metadata's `uri` field and use them to display all relevant data.

We recommend following the Metaplex standards and the standards defined in this document to ensure your NFTs are correctly displayed in Solflare wallets and to allow usage of all Solflare functionalities related to NFTs.

## Token Metadata Program

<table data-header-hidden><thead><tr><th width="216">Field</th><th width="113">Type </th><th width="197">Description</th><th>Displayed</th></tr></thead><tbody><tr><td>Field</td><td>Type </td><td>Description</td><td>Displayed</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>name of the asset</td><td>grid view and single NFT view</td></tr><tr><td><code>symbol</code></td><td><code>string</code></td><td>symbol of the asset</td><td>not shown currently</td></tr><tr><td><code>uri</code></td><td><code>string</code></td><td>URI to the external JSON representing the asset</td><td>linked in the single NFT view</td></tr><tr><td><code>creators</code></td><td><code>array</code></td><td>public key of each creator</td><td>shown in the single NFT view, resolved to twitter handles if they are connected via Solana Name Service</td></tr><tr><td><code>update_authority</code></td><td><code>string</code></td><td>public key of the metadata owner</td><td>shown in the single NFT view, can be updated in the send NFT modal</td></tr><tr><td><code>primary_sale_happened</code></td><td><code>boolean</code></td><td>flag describing whether the primary sale of the token happened</td><td>visible in the send NFT modal, can be updated</td></tr><tr><td><code>seller_fee_basis_points</code></td><td><code>number</code></td><td>royalties percentage awarded to creators</td><td>shown as a percentage received by each co-creator</td></tr></tbody></table>

The program also specifies optional structs used for the creation of `Master Editions` and `Editions`. If these accounts exist, Solflare will display the Edition number (in case of a unique edition token) and whether a token is a `Master Edition`.

{% hint style="info" %}
You can explore the metadata standard in more detail on the [Metaplex project page](https://github.com/metaplex-foundation/metaplex) and in their developer guide.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solflare.com/solflare/technical/our-nft-standard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
